## net.dontdrinkandroot.lastfm.api.model
Class LfmEntity

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.model.LfmEntity

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Affiliation, Affiliations, Album, Artist, Coordinate, Event, Image, Location, Price, Scrobble, ScrobbleSource, Shout, Size, Tag, Ticket, Track, User, Venue, Votes

    public abstract class LfmEntity

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` `LfmEntity()`
`` `LfmEntity(org.w3c.dom.Element element)` Create entity from an xml element.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LfmEntity

    protected LfmEntity()

### LfmEntity

    public LfmEntity(org.w3c.dom.Element element)

  Create entity from an xml element.

  Parameters:
    `element` - The xml element to create the entity from.

Copyright © 2012. All Rights Reserved.